package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 周六 (1.上班，0.不上)枚举类
*
* @author zxfei
*/
public enum Workday6Enum {
    上班(1, "上班"),
    不上(0, "不上");
    private Integer value;
    private String desc;

    Workday6Enum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static Workday6Enum getByValue(Integer value) {
        for (Workday6Enum workday6Enum : Workday6Enum.values()) {
            if (workday6Enum.getValue() == value) {
                return workday6Enum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (Workday6Enum item : Workday6Enum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}